Add QObject include to fix building kdepimlibs with Qt-5.5

Review Request #123703 - Created May 9, 2015 and submitted

Information
Armin K.
akonadi
Reviewers
akonadi, kdepim
cgiboudeaux, mlaurent

Build fails when using Qt 5.5 snapshot

kdepimlibs master would fail to build with the following problem:

/usr/include/KF5/akonadi/abstractsearchplugin.h:64:52: error: expected identifier before string constant
Q_DECLARE_INTERFACE(Akonadi::AbstractSearchPlugin, "org.freedesktop.Akonadi.AbstractSearchPlugin")

Daniel Vrátil
Armin K.
Review request changed

Status: Closed (submitted)

Change Summary:

Submitted with commit 5f09722cea0543e73ac81b1fe03ea900fcf64394 by Dan Vrátil on behalf of Armin K to branch master.
Loading...